From: =?utf-8?q?Ond=C5=99ej_Jirman?= <megi@xff.cz>
Date: Thu, 27 Feb 2020 00:53:17 +0100
Subject: power: axp20x_battery: Allow to set target voltage to 4.35V

Some devices have batteries that allow that.

Signed-off-by: Ondrej Jirman <megi@xff.cz>
Required-For: PinePhone
---
 drivers/power/supply/axp20x_battery.c | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/drivers/power/supply/axp20x_battery.c b/drivers/power/supply/axp20x_battery.c
index 9106077..06f74cf 100644
--- a/drivers/power/supply/axp20x_battery.c
+++ b/drivers/power/supply/axp20x_battery.c
@@ -375,6 +375,11 @@ static int axp20x_battery_set_max_voltage(struct axp20x_batt_ps *axp20x_batt,
 		val = AXP20X_CHRG_CTRL1_TGT_4_2V;
 		break;
 
+	case 4350000:
+	case 4360000:
+		val = AXP20X_CHRG_CTRL1_TGT_4_36V;
+		break;
+
 	default:
 		/*
 		 * AXP20x max voltage can be set to 4.36V and AXP22X max voltage
